{
  "model": {
    "type": "minecraft:select",
    "property": "minecraft:custom_model_data",
    "fallback": {
      "type": "minecraft:model",
      "model": "minecraft:item/paper"
    },
    "index": 0,
    "cases": [
      {
        "when": "card",
        "model": {
          "type": "minecraft:select",
          "property": "minecraft:custom_model_data",
          "fallback": {
            "type": "minecraft:model",
            "model": "tradingcards:item/card"
          },
          "index": 1,
          "cases": [
            {
              "when": "common",
              "model": {
                "type": "minecraft:model",
                "model": "tradingcards:item/card/rarity/common"
              }
            },
            {
              "when": "uncommon",
              "model": {
                "type": "minecraft:model",
                "model": "tradingcards:item/card/rarity/uncommon"
              }
            },
            {
              "when": "rare",
              "model": {
                "type": "minecraft:model",
                "model": "tradingcards:item/card/rarity/rare"
              }
            },
            {
              "when": "epic",
              "model": {
                "type": "minecraft:model",
                "model": "tradingcards:item/card/rarity/epic"
              }
            },
            {
              "when": "unique",
              "model": {
                "type": "minecraft:model",
                "model": "tradingcards:item/card/rarity/unique"
              }
            }
          ]
        }
      }
    ]
  }
}